RuntimeDiscoverer (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.RuntimeDiscoverer interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Interface RuntimeDiscoverer

All Known Implementing Classes:
  DaemonDetector, MxServerDetector, PlatformServiceDetector, ServerDetector, SNMPDetector, SunMxServerDetector

    public interface RuntimeDiscoverer

Classes that implement this interface know how to discover resources at runtime for a particular product. This differs from the regular autoinventory scans in that regular AI scans (i.e. those driven using the ServerDetectors) don't necessarily require the servers to be running to detect them. Classes that implement the RuntimeDiscoverer interface communicate directly with the running server software to discover resources.

Method Summary
`RuntimeResourceReport` | `discoverResources(int serverId, AIPlatformValue aiplatform, ConfigResponse config)` This method is called by the autoinventory code that runs within the agent.

Method Detail

### discoverResources

    RuntimeResourceReport discoverResources(int serverId,
                                            AIPlatformValue aiplatform,
                                            ConfigResponse config)
                                            throws PluginException

  This method is called by the autoinventory code that runs within the agent. It is used to discover resources for a particular server by communicating directly with the server as it is running.

  Parameters:
    `serverId` - The server ID to use when constructing AIServerValue objects and other resources to put into the RuntimeResourceReport.
    `aiplatform` - The current platform. This should be used when detecting servers on the current platform.
    `config` - The config response to use when querying for resources.
  Returns:
    A RuntimeResourceReport object that describes the services, groups and other resources that are detected. This method can return null if nothing is detected.
  Throws:
    `PluginException` - TODO

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.